AuGetElementStates(3)

Name
AuGetElementStates - get the state of elements in a flow

Synopsis
#include <audio/audiolib.h>

AuElementState *AuGetElementStates(server, num_states, states, status)
    AuServer *server;
    int *num_states; /* SEND and RETURN */
    AuElementState *states;
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

num_states
    Specifies the number of element states in states and returns the number of element states actually returned.

states
    Specifies the list of AuElementState structures indicating the flow and element number of the elements to return the state of.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuGetElementStates returns a list of element states, or NULL, with num_states set to 0, if there was an error. Use AuFreeElementStates to free this list when nolonger needed.

NOTES
Attempting to get the state of a non-component element (AddConstant, Bundle, ExportMonitor, MultiplyConstant, and Sum) will result in an error.

Errors
AuBadFlow, AuBadLength, AuBadAlloc, AuBadElement.

See Also
AuSetElementStates.

audiolib - Network Audio System C Language Interface